PHP 5.6.0 released

Installazione

If you have the libraries needed add the --with-pspell[=dir] option when compiling PHP.

Nota: Note to Win32 Users

Perché questa estensione possa funzionare, delle DLL devono essere disponibili nel PATH di sistema di Windows. Vedere la FAQ intitolata "Come aggiungere la cartella di PHP al PATH in Windows" per informazioni su come farlo. Anche se copiare i file DLL dalla cartella di PHP alla cartella di sistema di Windows funziona (poiché la cartella di sistema è di default nel PATH di sistema), non è raccomandato. Questa estensione richiede che i seguenti file siano nel PATH: aspell-15.dll from the bin folder of the aspell installation.

Win32 support is available only in PHP 4.3.3 and later versions. Also, at least aspell version 0.50 is required.

add a note add a note

User Contributed Notes 1 note

up
0
juliusdavies at gmail dot com
5 years ago
Aspell + PHP + Windows was giving me just crazy crashes with this simple test file:

<?php
$pspell_link
= pspell_new("en");
?>

Running "php -f test.php" directly from a DOS prompt shed some light:

----------------
The file "C:\Program Files\Aspell\data/iso8859-1.dat" can not be opened for reading.pell\dict/en-only.rws:
----------------

To fix it I needed to "dos2unix" all the files in Aspell's C:\Program Files\Aspell\data\ directory.  (Convert them from CRLF to just LF line endings).
To Top